### Method

# Gio ApplicationCommandLine get_stdin

since: 2.34

#### Declaration

    GInputStream*
    g_application_command_line_get_stdin (
      GApplicationCommandLine* cmdline
    )

#### Description

Gets the stdin of the invoking process.

The `GInputStream` can be used to read data passed to the standard input of the invoking process. This doesn’t work on all platforms. Presently, it is only available on UNIX when using a D-Bus daemon capable of passing file descriptors. If stdin is not available then `NULL` will be returned. In the future, support may be expanded to other platforms.

You must only call this function once per commandline invocation.

Available since: 2.34

#### Return value

Type: `GInputStream`

A `GInputStream` for stdin.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.